Bug 180118 - X only displays gray vertical lines after yum update 02.05.06
X only displays gray vertical lines after yum update 02.05.06
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-05 22:55 EST by Wendy Pollo
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: FC5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-27 13:06:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
/var/log/dmesg (14.06 KB, text/plain)
2006-02-05 22:56 EST, Wendy Pollo
no flags Details
/var/log/messages (96.42 KB, text/plain)
2006-02-05 22:57 EST, Wendy Pollo
no flags Details
/var/log/yum.log (10.78 KB, text/plain)
2006-02-05 22:57 EST, Wendy Pollo
no flags Details
/etc/X11/xorg.conf (2.83 KB, text/plain)
2006-02-08 03:34 EST, Wendy Pollo
no flags Details
/var/log/Xorg.0.log (40.16 KB, text/plain)
2006-02-08 03:36 EST, Wendy Pollo
no flags Details
/var/log/Xorg.0.log with Option "PciOSConfig" "1" (40.06 KB, text/plain)
2006-02-08 03:38 EST, Wendy Pollo
no flags Details

  None (edit)
Description Wendy Pollo 2006-02-05 22:55:00 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
Installed FC4.  Configured networking then ran "yum update".  Rebooted machine.  X  then only displayed alternating gray and dark gray vertical lines instead of the login screen.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Install FC4
2.Configure networking, then run "yum update"
3.Reboot
  

Actual Results:  After reboot, X only displays alternating gray and dark gray vertical lines.

Expected Results:  After reboot, should see login screen.

Additional info:

Video card is Matrox G400

Will attach /var/log/messages, /var/log/dmesg and /var/log/yum.log

Note re: /var/log/messages: reboot at 17:10, restart at 17:11
Comment 1 Wendy Pollo 2006-02-05 22:56:34 EST
Created attachment 124239 [details]
/var/log/dmesg
Comment 2 Wendy Pollo 2006-02-05 22:57:08 EST
Created attachment 124240 [details]
/var/log/messages
Comment 3 Wendy Pollo 2006-02-05 22:57:38 EST
Created attachment 124241 [details]
/var/log/yum.log
Comment 4 Wendy Pollo 2006-02-05 22:58:33 EST
Comment on attachment 124240 [details]
/var/log/messages

reboot at 17:10, restart at 17:11
Comment 5 Mike A. Harris 2006-02-06 15:22:02 EST
Attach your X server log and config file as individual uncompressed file
attachments using the link below.  After that, please try the following option
in xorg.conf as a diagnostic test:

    Option "PciOSConfig" "1"
Comment 6 Wendy Pollo 2006-02-07 01:05:37 EST
In what section of xorg.conf do I put this option?  The available sections are:
"ServerLayout", "Files", "Module", "InputDevice", "Monitor", "Device", "Screen"
and "DRI".
Comment 7 Mike A. Harris 2006-02-07 02:18:56 EST
ServerFlags
Comment 8 Wendy Pollo 2006-02-08 03:34:35 EST
Created attachment 124357 [details]
/etc/X11/xorg.conf
Comment 9 Wendy Pollo 2006-02-08 03:36:46 EST
Created attachment 124358 [details]
/var/log/Xorg.0.log

/var/log/Xorg.0.log after running yum update and rebooting
Comment 10 Wendy Pollo 2006-02-08 03:38:12 EST
Created attachment 124359 [details]
/var/log/Xorg.0.log with Option "PciOSConfig" "1"

/var/log/Xorg.0.log after rebooting with Option "PciOSConfig" "1" in xorg.conf
Comment 11 Wendy Pollo 2006-02-08 03:41:10 EST
Ran "yum update" then rebooted machine.  Retrieved Xorg.0.log (see attachment
Xorg.0.log-v1).  Added Option "PciOSConfig" "1" to xorg.conf, rebooted machine,
and retrieved Xorg.0.log again (see attachment Xorg.0.log-v2)
Comment 12 Olivier Baudron 2006-02-20 05:48:34 EST
Can you paste the relevant section of "lspci -v" ?
Comment 13 Wendy Pollo 2006-02-20 19:46:17 EST
01:00.0 VGA compatible controller: Matrox Graphics, Inc. G400/G450 (rev 04)
(prog-if 00 [VGA])
        Subsystem: Matrox Graphics, Inc. Millennium G400 32Mb SGRAM
        Flags: bus master, medium devsel, latency 32, IRQ 11
        Memory at dc000000 (32-bit, prefetchable) [size=32M]
        Memory at dfefc000 (32-bit, non-prefetchable) [size=16K]
        Memory at df000000 (32-bit, non-prefetchable) [size=8M]
        Expansion ROM at dfee0000 [disabled] [size=64K]
        Capabilities: [dc] Power Management version 2
        Capabilities: [f0] AGP version 2.0
Comment 14 Olivier Baudron 2006-03-01 02:58:49 EST
Does it work better if you disable the dri module (in section "Module")?
Comment 15 Mike A. Harris 2006-06-27 13:06:37 EDT
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  Users
who have experienced this problem are encouraged to upgrade to the
latest version of Fedora Core, which can be obtained from:

        http://fedora.redhat.com/download

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Setting status to "CURRENTRELEASE".

Note You need to log in before you can comment on or make changes to this bug.